#include "core_v5.h"

.section .text, "ax"
.globl routine
.type routine,@function
.balign 4

routine:
  /* Re-Initialize stack pointer (sp)*/
  la t0, _stack
  mv sp, t0
  call c_startup
  call system_init
  call main
1:
  j 1b




